com.brightcove.player.mediacontroller

## Interface PreviewThumbnailView.OnPreviewChangeListener

- Enclosing interface:
    PreviewThumbnailView

      public static interface PreviewThumbnailView.OnPreviewChangeListener

  This `PreviewThumbnailView`'s listener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onPreview(PreviewThumbnailView previewThumbnailView, int progress, boolean fromUser)` Callback triggered when the Preview Thumbnail process is in progress
    `void` | `onStartPreview(PreviewThumbnailView previewThumbnailView, int progress)` Callback triggered when the Preview Thumbnail process has started
    `void` | `onStopPreview(PreviewThumbnailView previewThumbnailView, int progress)` Callback triggered when the Preview Thumbnail process has stopped

- - ### Method Detail

    - #### onStartPreview

          void onStartPreview(@NonNull
                              PreviewThumbnailView previewThumbnailView,
                              int progress)

      Callback triggered when the Preview Thumbnail process has started
      Parameters:
        `previewThumbnailView` - the `PreviewThumbnailView` triggering this action
        `progress` - the `PreviewThumbnailView`'s current progress

    - #### onStopPreview

          void onStopPreview(@NonNull
                             PreviewThumbnailView previewThumbnailView,
                             int progress)

      Callback triggered when the Preview Thumbnail process has stopped
      Parameters:
        `previewThumbnailView` - the `PreviewThumbnailView` triggering this action
        `progress` - the `PreviewThumbnailView`'s current progress

    - #### onPreview

          void onPreview(@NonNull
                         PreviewThumbnailView previewThumbnailView,
                         int progress,
                         boolean fromUser)

      Callback triggered when the Preview Thumbnail process is in progress
      Parameters:
        `previewThumbnailView` - the `PreviewThumbnailView` triggering this action
        `progress` - the `PreviewThumbnailView`'s current progress
        `fromUser` - indicates whether this action was triggered by the user or programmatically